import { LoggerService } from "../../../services/log-service";
/** @ignore */
export declare class SourcesService {
    private logger;
    private context;
    private fileExtensionsRegex;
    constructor(logger: LoggerService, context: any);
    getSourcesByFilenamePrefix(prefix: string): any;
    /**
     * Since this goes directly to Plunker we do not need 10K LOC of translations on each Plukner page.
     * That's why it's empty
     */
    getTranslations(): string;
    private getFileData;
}
